using System;
using System.ServiceModel.Configuration;

namespace BeWo.Service.UnitOfWork
{
    public class HibernateSessionBehaviorExtension : BehaviorExtensionElement
    {
        public override Type BehaviorType
        {
            get
            {
                return typeof(HibernateSessionEndpointBehavior);
            }
        }

        protected override object CreateBehavior()
        {
            return new HibernateSessionEndpointBehavior();
        }
    }
}